Bug 5912 - Неадекватное поведение rdesktop на ввод небуквенных символов
: Неадекватное поведение rdesktop на ввод небуквенных символов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rdesktop)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-21 13:56 by
Modified: 2010-01-26 17:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-21 13:56:16
При вводе небуквенных символов вводятся символы, отличные от ожидаемых. 

Есть 2 "режима" реагирования (нажатие кнопок с клавишей shift): 
Кнопки       | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | : | " | 
------------------------------------------------------ 
режим 1 en   | ! | @ | # | $ | % | ^ | & | * | : | " | 
режим 2 en   | ! | " | # | ; | % | : | ? | * | : | " | 
правильно en | ! | @ | # | $ | % | ^ | & | * | : | " | (совпадает с режимом 1) 
------------------------------------------------------ 
режим 1 ru   | ! | Э | ? | ж | % | Ж | , | * | Ж | Э | 
режим 2 ru   | ! | " | ? | ; | % | : | ? | * | Ж | Э | 
правильно ru | ! | " | ? | ; | % | : | ? | * | Ж | Э | (совпадает с режимом 2) 

Переход между "режимами" происходит нажатием <Shift>+<Ctrl>+<any key>. Shift 
должен быть нажат первым! 

Не зависит от совпадения вариантов переключения раскладок на Win и Lin, также 
не зависит от Текущего состояния выбранной раскладки (ru-ru, en-ru, ru-en. 
en-en -- первое: Раскладка в Linux, второе: раскладка в Windows)
------- Comment #1 From 2005-10-08 03:20:58 -------
...и еще вместо точки и запятой какие-то ю и б вводятся...

Воркэраунд - указать параметр -k none. Правда, при этом Ctrl-Alt-Del теряется.
Или, что еще более жестоко, -K.

Забавно... редактирование /usr/share/rdesktop/keymaps/ru не помогает.
------- Comment #2 From 2005-10-08 20:34:32 -------
Проверьте 1.4.1-alt1 с ключом -y 
Он включает непосредственную обработку скан-кодов, глюков с перекодировками 
быть не должно. 
------- Comment #3 From 2007-02-23 20:58:05 -------
Считаю необходимым сделать поведение ключа -y по умолчанию, это удобно.
Кто против - слушаю аргументы.
------- Comment #4 From 2007-02-23 20:59:11 -------
Игорь, вы не против учесть это в следующей сборке?
------- Comment #5 From 2007-03-01 16:51:39 -------
(In reply to comment #4)
> Игорь, вы не против учесть это в следующей сборке?

Ещё бы со смыслом вопроса разобратся...

Ввод чего-либо действительно работает странно. Надо будет на досуге попробовать
разобратся с этим.
------- Comment #6 From 2007-03-16 13:20:27 -------
Смысл предложения в том, чтобы поведения, устанавливаемое сейчас явным 
указанием ключа -y, было по умолчанию.
------- Comment #7 From 2007-04-22 03:24:02 -------
2lav@
(In reply to comment #6)
> Смысл предложения в том, чтобы поведения, устанавливаемое сейчас явным 
> указанием ключа -y, было по умолчанию.

Принято. Будет сделано в следующей сборке.

Ну и от себя добавлю что я сейчас всегда пользуюсь -y и проблем я не вижу. Что с
русским, что с английским.
------- Comment #8 From 2007-10-08 13:53:47 -------
fixed?
------- Comment #9 From 2007-10-08 23:13:53 -------
Ну если Игорь сделал -y по умолчанию, то fixed.
------- Comment #10 From 2009-08-04 14:30:36 -------
Еще вариант решения:
http://lists.altlinux.org/pipermail/community/2009-August/654203.html
------- Comment #11 From 2010-01-26 17:22:42 -------
rdesktop - Powerful tool for remote desktop connection
* Mon Jan 25 2010 Michael Shigorin <mike@altlinux> 1.6.0-alt3
- built for Sisyphus (closes: #19968)  
- buildreq
* Sun Jan 24 2010 Michael A. Kangin <prividen@altlinux> 1.6.0-alt2.1.2
- New raw keyboard patch
* Thu Aug 27 2009 Michael A. Kangin <prividen@altlinux> 1.6.0-alt2.1.1
- remove '-y' patch due evdev incompatibility (#19968)
- fixed RU keymap (#5912)
* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux> 1.6.0-alt2.1